'''
@author: Gergely Acs <acs@crysys.hu>
'''

from Utils import *
from Histogram import *

def LaplaceMechanism(hist, scale_p):
    return Histogram(map(lambda x: x + Utils.laplace(scale_p), hist.bins))

